> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a FileClass to Classify for a User



## OpenAPI

````yaml https://app.herondata.io/swagger post /api/users/file_classes/{file_class_name}
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/users/file_classes/{file_class_name}:
    post:
      tags:
        - FileClass
      summary: Add a FileClass to Classify for a User
      parameters:
        - in: path
          name: file_class_name
          required: true
          schema:
            type: string
        - in: path
          name: user_id
          required: true
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/FileClassSchema'
                type: array
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    FileClassSchema:
      properties:
        description:
          nullable: true
          type: string
        display_name:
          nullable: true
          type: string
        grouping:
          nullable: true
          type: string
        name:
          type: string
      required:
        - name
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````